package animation.pendel;

import gui.MainFrame;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;
import javax.swing.JPanel;

public abstract class DlgPendel extends JDialog {
	
		private static final long serialVersionUID = 1L;
		

		@SuppressWarnings("unused")
		protected MainFrame mainFrame;
		
		protected JPanel pBackground;
		
		public DlgPendel() {
		
			addWindowListener(new WindowAdapter() {
		        public void windowClosing(WindowEvent e) {
		        	cmdCancel();
		        }

		        public void windowClosed(WindowEvent e) {
		            
		        }
		    });
			
			this.setResizable(false);
			
			setLocation(10,10);
			
			pBackground = new JPanel();
			pBackground.setLayout(null);
			add(pBackground);
			
		}
			
		protected abstract void cmdCancel();

}
