package gui;

import java.awt.Color;

public class CenterOfArea {
	private int x;
	private int y;
	private int area;
	private double weight;
	private Color colorToDraw;
	private boolean total;
	
	boolean enabled;
	
	public CenterOfArea() {
		x = 0;
		y = 0;
		area = 0;
		weight = 0.0;
		enabled = false;
		colorToDraw = Color.BLACK;
		total = false;
	}
	
	public boolean isEnabled() {
		return enabled;
	}
	
	public void setEnabled(boolean e) {
		enabled = e;
	}
	
	public double getWeight() {
		return weight;
	}
	
	public void setWeight(double w) {
		weight = w;
	}
	
	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
	}
	public int getY() {
		return y;
	}
	public void setY(int y) {
		this.y = y;
	}
	public int getArea() {
		return area;
	}
	public void setArea(int area) {
		this.area = area;
	}

	public void setColorToDraw(Color pickedColor) {
		int rgb = pickedColor.getRGB()&0xFFFFFF;
		rgb ^= 0x7F7F7F;
		colorToDraw = new Color(rgb);
	}

	public Color getColorToDraw() {
		return colorToDraw;
	}

	public boolean isTotal() {
		return total;
	}

	public void setTotal(boolean total) {
		this.total = total;
	}


}