package gui;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;

public class ImagePanel extends JPanel {

	//ImageBasePanel imageBasePanel;
	private static final long serialVersionUID = 1L;
	protected BufferedImage image;
	protected JPanel imageBasePanel;
	
	public ImagePanel() {
		super();
		this.setLayout(null);

		Border blackline = BorderFactory.createLineBorder(Color.black);
		setBorder(blackline);
	}
	
	public ImagePanel(JPanel imageBasePanel) {
		
		super();
		this.imageBasePanel = imageBasePanel;
		
		this.setLayout(null);
		
		Border blackline = BorderFactory.createLineBorder(Color.black);
		setBorder(blackline);
	}
	
	
	public BufferedImage getClonedImage() {
		int width = image.getWidth();
		int height = image.getHeight();

		BufferedImage clonedImage = new BufferedImage(width, height,
				BufferedImage.TYPE_INT_RGB);

		Graphics graphics = clonedImage.createGraphics();

		graphics.drawImage(image, 0, 0, width, height, null);

		graphics.dispose();
		return clonedImage;

	}

	
	


	



}
