package animation.balg;

import java.awt.geom.Arc2D;
import java.awt.geom.Line2D;

public class Balg {

	private Arc2D.Double arc;
	private Line2D.Double traeger;
	private int status;
	private double xs;
	private double ys;
	private double x0;
	private double y0;
	private double x1;
	private double y1;
	private double radius;
	private double winkel;
	
	// Alle hier abgelegten Werte beziehen sind Pixelangaben
	// und beziehen sich auf das Bildschirm-Koordinatensystem

	public Balg(int i) {
		arc = new Arc2D.Double();
		traeger = new Line2D.Double();
	}

	public double getOeffnungsWinkel() {
		return winkel;
	}

	public void setArcByCenter(double x, double y, double beta, double winkel, int form) {
		arc.setArcByCenter(x, y, radius, beta, winkel, form);
	}
	
	public void setOeffnungsWinkel(double winkel) {
		this.winkel = winkel;
		arc.setAngleExtent(winkel);
	}

	public Arc2D.Double getArc() {
		return arc;
	}
	

	public void setArc(Arc2D.Double arc) {
		this.arc = arc;
	}

	public Line2D.Double getTraeger() {
		return traeger;
	}

	public void setTraeger(Line2D.Double traeger) {
		this.traeger = traeger;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public double getXs() {
		return xs;
	}

	public void setXs(double xs) {
		this.xs = xs;
	}

	public double getYs() {
		return ys;
	}

	public void setYs(double ys) {
		this.ys = ys;
	}

	public double getX0() {
		return x0;
	}

	public void setX0(double x0) {
		this.x0 = x0;
	}

	public double getY0() {
		return y0;
	}

	public void setY0(double y0) {
		this.y0 = y0;
	}

	public double getX1() {
		return x1;
	}

	public void setX1(double x1) {
		this.x1 = x1;
	}

	public double getY1() {
		return y1;
	}

	public void setY1(double y1) {
		this.y1 = y1;
	}

	public double getRadius() {
		return radius;
	}

	public void setRadius(double radius) {
		this.radius = radius;
	}

}