package gui;

import java.awt.Desktop;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class Help {

	public Help() {
		InputStream inputStream;

		FileOutputStream outputStream = null;

		inputStream = Help.class.getClass().getResourceAsStream("/help.pdf");

		try {
			File tempFile = File.createTempFile("help", ".pdf");
			outputStream = new FileOutputStream(tempFile);
			FileCopy.copy(inputStream, outputStream);
			Desktop.getDesktop().open(tempFile);
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			try {
				outputStream.close();
			} catch (Exception ignore) {

			}
		}

	}
}