package gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;

public class ImageFilter extends FileFilter {

    
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = FileFilterUtils.getExtension(f);
        if (extension != null) {
            if (extension.equals(FileFilterUtils.bmp) ||
                extension.equals(FileFilterUtils.gif) ||
                extension.equals(FileFilterUtils.jpeg) ||
                extension.equals(FileFilterUtils.jpg) ||
                extension.equals(FileFilterUtils.png)) {
                    return true;
            } else {
                return false;
            }
        }

        return false;
    }

    //The description of this filter
    public String getDescription() {
        return "*.jpg, *.gif, *.bmp, *.png";
    }
    
    
    
}